Bug 860824 - [abrt] gedit-3.4.2-1.fc17: gtk_file_system_model_sort: Process /usr/bin/gedit was killed by signal 6 (SIGABRT)
[abrt] gedit-3.4.2-1.fc17: gtk_file_system_model_sort: Process /usr/bin/gedit...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:70994d36f3dbb023cbc23d9e2d5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 15:35 EDT by Aurimas Černius
Modified: 2013-08-01 06:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.53 KB, text/plain)
2012-09-26 15:35 EDT, Aurimas Černius
no flags Details
File: environ (1.29 KB, text/plain)
2012-09-26 15:35 EDT, Aurimas Černius
no flags Details
File: var_log_messages (146 bytes, text/plain)
2012-09-26 15:35 EDT, Aurimas Černius
no flags Details
File: backtrace (35.29 KB, text/plain)
2012-09-26 15:35 EDT, Aurimas Černius
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-26 15:35 EDT, Aurimas Černius
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-26 15:35 EDT, Aurimas Černius
no flags Details
File: maps (47.27 KB, text/plain)
2012-09-26 15:36 EDT, Aurimas Černius
no flags Details
File: dso_list (11.19 KB, text/plain)
2012-09-26 15:36 EDT, Aurimas Černius
no flags Details
File: open_fds (742 bytes, text/plain)
2012-09-26 15:36 EDT, Aurimas Černius
no flags Details

  None (edit)
Description Aurimas Černius 2012-09-26 15:35:38 EDT
Description of problem:
This crash occurred in open dialog.
I was scrolling down file list via mouse wheel, file list was changing at the same time.
I was browsing a source code directory while running confgure script, crashed three times.


Version-Release number of selected component:
gedit-3.4.2-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        gedit /home/aurimas/projects/gnote/gnoterel/changes.log
crash_function: gtk_file_system_model_sort
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (6 frames)
: #4 gtk_file_system_model_sort at gtkfilesystemmodel.c
: #6 gtk_file_system_model_query_done at gtkfilesystemmodel.c
: #7 g_simple_async_result_complete at gsimpleasyncresult.c
: #8 complete_in_idle_cb_for_thread at gsimpleasyncresult.c
: #13 gtk_main at gtkmain.c
: #14 gedit_main at gedit.c
Comment 1 Aurimas Černius 2012-09-26 15:35:41 EDT
Created attachment 617740 [details]
File: core_backtrace
Comment 2 Aurimas Černius 2012-09-26 15:35:45 EDT
Created attachment 617741 [details]
File: environ
Comment 3 Aurimas Černius 2012-09-26 15:35:48 EDT
Created attachment 617742 [details]
File: var_log_messages
Comment 4 Aurimas Černius 2012-09-26 15:35:52 EDT
Created attachment 617743 [details]
File: backtrace
Comment 5 Aurimas Černius 2012-09-26 15:35:54 EDT
Created attachment 617744 [details]
File: limits
Comment 6 Aurimas Černius 2012-09-26 15:35:58 EDT
Created attachment 617745 [details]
File: cgroup
Comment 7 Aurimas Černius 2012-09-26 15:36:01 EDT
Created attachment 617746 [details]
File: maps
Comment 8 Aurimas Černius 2012-09-26 15:36:04 EDT
Created attachment 617747 [details]
File: dso_list
Comment 9 Aurimas Černius 2012-09-26 15:36:06 EDT
Created attachment 617748 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-07-03 23:11:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 06:26:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.